0

I am on iMac PowerPC with OS X 10.4.11
Can I upgrade to Snow Leopard and then to Mavericks? If so, how?

5

PowerPC is only supported up until Mac Os X 10.5 (Leopard), so Mavericks is out of the question. Snow Leopard (10.6) is also too high. 10.5 is the highest possible.

| improve this answer | |

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .